README.md | 3 ++- scripts/uboot-script-gen | 12 ++++++++++++ 2 files changed, 14 insertions(+), 1 deletion(-)
The current README incorrectly omits the need for the UBOOT_SOURCE and
UBOOT_SCRIPT variables for uboot-script-gen to function properly.
Moreover, the script silently fails if these variables are not set.
Return an error if the the UBOOT_SCRIPT variable is not set and
correct the documentation accordingly.
Signed-off-by: Luca Miccio <luca.miccio@amd.com>
---
README.md | 3 ++-
scripts/uboot-script-gen | 12 ++++++++++++
2 files changed, 14 insertions(+), 1 deletion(-)
diff --git a/README.md b/README.md
index 4fcd908..ae2fdfd 100644
--- a/README.md
+++ b/README.md
@@ -272,7 +272,8 @@ Where:
- UBOOT_SOURCE and UBOOT_SCRIPT specify the output. They are optional
as you can pass -o FILENAME to uboot-script-gen as a command line
- parameter
+ parameter. It has to be set either in the config file or CLI argument
+ though.
- APPEND_EXTRA_CMDS: is optional and specifies the path to a text file
containing extra u-boot commands to be added to the boot script before
diff --git a/scripts/uboot-script-gen b/scripts/uboot-script-gen
index dcf5bdb..fc63702 100755
--- a/scripts/uboot-script-gen
+++ b/scripts/uboot-script-gen
@@ -1210,6 +1210,18 @@ then
UBOOT_SCRIPT="$uboot_out_opt".scr
UBOOT_SOURCE="$uboot_out_opt".source
fi
+
+if test ! "$UBOOT_SOURCE"
+then
+ echo "UBOOT_SOURCE not set, either specify it in the config or set it with the -o option"
+ exit 1
+fi
+
+if test ! "$UBOOT_SCRIPT"
+then
+ UBOOT_SCRIPT="${UBOOT_SOURCE%.source}.scr"
+fi
+
if test "$fit_opt" && ! test "$FIT"
then
FIT="${UBOOT_SOURCE%.source}.fit"
--
2.34.1
On Tue, 19 Nov 2024, Luca Miccio wrote: > The current README incorrectly omits the need for the UBOOT_SOURCE and > UBOOT_SCRIPT variables for uboot-script-gen to function properly. > Moreover, the script silently fails if these variables are not set. > Return an error if the the UBOOT_SCRIPT variable is not set and > correct the documentation accordingly. > > Signed-off-by: Luca Miccio <luca.miccio@amd.com> Reviewed-by: Stefano Stabellini <sstabellini@kernel.org> > --- > README.md | 3 ++- > scripts/uboot-script-gen | 12 ++++++++++++ > 2 files changed, 14 insertions(+), 1 deletion(-) > > diff --git a/README.md b/README.md > index 4fcd908..ae2fdfd 100644 > --- a/README.md > +++ b/README.md > @@ -272,7 +272,8 @@ Where: > > - UBOOT_SOURCE and UBOOT_SCRIPT specify the output. They are optional > as you can pass -o FILENAME to uboot-script-gen as a command line > - parameter > + parameter. It has to be set either in the config file or CLI argument > + though. > > - APPEND_EXTRA_CMDS: is optional and specifies the path to a text file > containing extra u-boot commands to be added to the boot script before > diff --git a/scripts/uboot-script-gen b/scripts/uboot-script-gen > index dcf5bdb..fc63702 100755 > --- a/scripts/uboot-script-gen > +++ b/scripts/uboot-script-gen > @@ -1210,6 +1210,18 @@ then > UBOOT_SCRIPT="$uboot_out_opt".scr > UBOOT_SOURCE="$uboot_out_opt".source > fi > + > +if test ! "$UBOOT_SOURCE" > +then > + echo "UBOOT_SOURCE not set, either specify it in the config or set it with the -o option" > + exit 1 > +fi > + > +if test ! "$UBOOT_SCRIPT" > +then > + UBOOT_SCRIPT="${UBOOT_SOURCE%.source}.scr" > +fi > + > if test "$fit_opt" && ! test "$FIT" > then > FIT="${UBOOT_SOURCE%.source}.fit" > -- > 2.34.1 >
© 2016 - 2024 Red Hat, Inc.